aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d/mysql.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2013-10-16 20:58:21 +1300
committerTom Ryder <tom@sanctum.geek.nz>2013-10-16 20:58:21 +1300
commit74b457d9719df8ca810de9cbf964784ccee5b866 (patch)
treeb77c25505788411564ac5aaa9194a22fd781a488 /bash/bashrc.d/mysql.bash
parentAdd completion for pass(1) (diff)
downloaddotfiles-74b457d9719df8ca810de9cbf964784ccee5b866.tar.gz
dotfiles-74b457d9719df8ca810de9cbf964784ccee5b866.zip
Check for presence of binaries before script setup
Diffstat (limited to 'bash/bashrc.d/mysql.bash')
-rw-r--r--bash/bashrc.d/mysql.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/bash/bashrc.d/mysql.bash b/bash/bashrc.d/mysql.bash
index 391c130d..fb1f7126 100644
--- a/bash/bashrc.d/mysql.bash
+++ b/bash/bashrc.d/mysql.bash
@@ -1,3 +1,8 @@
+# Bail if no mysql(1)
+if ! hash mysql 2>/dev/null; then
+ return
+fi
+
# If a file ~/.mysql/$1.cnf exists, call mysql(1) using that file. Otherwise
# just run MySQL with given args. Use restrictive permissions on these files.
# Examples: